project/urls.py
from django.conf.urls import include, url
from django.conf import settings
from django.contrib import admin
from quality_control.admin import admin_site
admin.autodiscover()

urlpatterns = [
                   url(r'^admin/', include(admin.site.urls)),
                   url(r'^admin2/', include(admin_site.urls)),
                   url(r'^', include('videoclases.urls')),
                   url(r'^api/', include('quality_control.urls')),
            ]

if settings.DEBUG:
    import debug_toolbar
    urlpatterns = [
        url(r'^__debug__/', include(debug_toolbar.urls)),
    ] + urlpatterns

videoclases/models/course.py
from django.db import models
import datetime

from videoclases.models.school import School


class Course(models.Model):
    school = models.ForeignKey(School)
    name = models.CharField(max_length=256)
    year = models.IntegerField(default=datetime.datetime.now().year)

    def __str__(self):
        return self.name + ' ' + str(self.year)

videoclases/models/student.py
from django.contrib.auth.models import User
from django.db import models
from django.utils import timezone

from videoclases.models.course import Course


class Student(models.Model):
    user = models.OneToOneField(User)
    courses = models.ManyToManyField(Course, related_name='students')
    changed_password = models.BooleanField(default=False)

    def course_actual(self):
        course_qs = self.courses.filter(year=timezone.now().year)
        return course_qs[0] if course_qs.exists() else False

    def __str__(self):
        if self.course_actual():
            return 'Course: ' + self.course_actual().name + ' ' + str(self.course_actual().year) + ' ' + \
                   self.user.get_full_name()
        return 'Sin courses actualmente'

videoclases/models/teacher.py
from django.contrib.auth.models import User
from django.db import models

from videoclases.models.school import School
from videoclases.models.course import Course


class Teacher(models.Model):
    school = models.ForeignKey(School)
    user = models.OneToOneField(User)
    courses = models.ManyToManyField(Course, blank=True)
    changed_password = models.BooleanField(default=False)

    def __str__(self):
        return self.user.first_name + ' ' + self.user.last_name

videoclases/models/video_clase.py
# coding=utf-8
from urllib.parse import urlparse, parse_qs
from django.db import models
from django.db.models import Q

from videoclases.models.groupofstudents import GroupOfStudents


class VideoClase(models.Model):
    group          = models.OneToOneField(GroupOfStudents,null=True,blank=True)
    video          = models.CharField(max_length=100, blank=True, null=True)
    question       = models.CharField(max_length=100, blank=True, null=True)
    correct_alternative = models.CharField(max_length=100, blank=True, null=True)
    alternative_2  = models.CharField(max_length=100, blank=True, null=True)
    alternative_3  = models.CharField(max_length=100, blank=True, null=True)
    upload_students = models.DateTimeField(blank=True, null=True)
    homework = models.ForeignKey("Homework", blank=True, null=True)

    # StudentEvaluations
    def calcular_porcentaje_evaluaciones(self, value):
        conjunto = self.evaluations.filter(videoclase=self, value=value).count()
        total = self.evaluations.filter(videoclase=self).count()
        return int(round(100*conjunto/total)) if total else 0

    def porcentaje_me_gusta(self):
        return self.calcular_porcentaje_evaluaciones(1)

    def porcentaje_neutro(self):
        return self.calcular_porcentaje_evaluaciones(0)

    def porcentaje_no_me_gusta(self):
        return self.calcular_porcentaje_evaluaciones(-1)

    def cantidad_me_gusta(self):
        return self.evaluations.filter(videoclase=self, value=1).count()

    def cantidad_neutro(self):
        return self.evaluations.filter(videoclase=self, value=0).count()

    def cantidad_no_me_gusta(self):
        return self.evaluations.filter(videoclase=self, value=-1).count()

    def integrantes_calcular_porcentaje_evaluaciones(self, value):
        from videoclases.models.student_evaluations import StudentEvaluations
        otras_vc = VideoClase.objects.filter(group__homework=self.group.homework) \
                                     .exclude(id=self.id)
        conjunto = StudentEvaluations.objects.filter(author__in=self.group.students.all(),
                                                     value=value,
                                                     videoclase__in=otras_vc).count()
        total = StudentEvaluations.objects.filter(author__in=self.group.students.all(),
                                                  videoclase__in=otras_vc).count()
        return int(round(100*conjunto/total)) if total else 0

    def integrantes_porcentaje_me_gusta(self):
        return self.integrantes_calcular_porcentaje_evaluaciones(1)

    def integrantes_porcentaje_neutro(self):
        return self.integrantes_calcular_porcentaje_evaluaciones(0)

    def integrantes_porcentaje_no_me_gusta(self):
        return self.integrantes_calcular_porcentaje_evaluaciones(-1)

    def calcular_integrantes_cantidad_votos(self, value):
        from videoclases.models.student_evaluations import StudentEvaluations
        otras_vc = VideoClase.objects.filter(group__homework=self.group.homework) \
                                     .exclude(id=self.id)
        return StudentEvaluations.objects.filter(author__in=self.group.students.all(),
                                                 value=value,
                                                 videoclase__in=otras_vc).count()

    def integrantes_cantidad_me_gusta(self):
        return self.calcular_integrantes_cantidad_votos(1)

    def integrantes_cantidad_neutro(self):
        return self.calcular_integrantes_cantidad_votos(0)

    def integrantes_cantidad_no_me_gusta(self):
        return self.calcular_integrantes_cantidad_votos(-1)

    # StudentResponses
    def calcular_porcentaje_answers(self, answers):
        conjunto = 0
        for r in answers:
            conjunto += self.answers.filter(videoclase=self, answer=r).count()
        total = self.answers.filter(videoclase=self).count()
        return int(round(100*conjunto/total)) if total else 0

    def porcentaje_answers_correctas(self):
        return self.calcular_porcentaje_answers([self.correct_alternative])

    def porcentaje_answers_incorrectas(self):
        return self.calcular_porcentaje_answers([self.alternative_2, self.alternative_3])

    def cantidad_correctas(self):
        return self.answers.filter(videoclase=self, answer=self.correct_alternative).count()

    def cantidad_incorrectas(self):
        answer = self.answers.filter(videoclase=self)
        return answer.count() - answer.filter(answer=self.correct_alternative).count()

    def integrantes_y_answers(self):
        from videoclases.models.student_responses import StudentResponses
        students = self.group.students.all()
        students_array = []
        for a in students:
            student_dict = {}
            homework_base = self.group.homework
            homework = homework_base
            if homework.homework_to_evaluate is not None:
                homework = homework.homework_to_evaluate
            answers = StudentResponses.objects.filter(
                            Q(videoclase__homework=homework) | Q(videoclase__homework=homework_base),
                            student=a)
            correctas = 0
            for r in answers:
                correctas += r.answer == r.videoclase.correct_alternative
            incorrectas = 0
            for r in answers:
                incorrectas += r.answer == r.videoclase.alternative_2 \
                    or r.answer == r.videoclase.alternative_3
            student_dict['user_id'] = a.user.id
            student_dict['name'] = a.user.first_name + ' ' + a.user.last_name
            student_dict['cantidad_correctas'] = correctas
            student_dict['cantidad_incorrectas'] = incorrectas
            total = correctas + incorrectas
            student_dict['porcentaje_correctas'] = int(round(100*correctas/total)) if total else 0
            student_dict['porcentaje_incorrectas'] = int(round(100*incorrectas/total)) if total else 0
            students_array.append(student_dict)
        return students_array

    def answers_de_otros(self):
        from videoclases.models.student_responses import StudentResponses
        correctas = StudentResponses.objects.filter(
                        videoclase=self,
                        answer=self.correct_alternative).count()
        incorrectas = StudentResponses.objects.filter(
                            videoclase=self) \
                            .filter(Q(answer=self.alternative_2) | Q(answer=self.alternative_3)) \
                            .count()
        return_dict = {}
        return_dict['correctas'] = correctas
        return_dict['incorrectas'] = incorrectas
        return return_dict

    # DEPRECATED, use next function
    def get_multiple_criteria_score(self):
        from videoclases.models.student_evaluations import StudentEvaluations
        from django.db.models import Avg
        evaluations = StudentEvaluations.objects.filter(videoclase=self)
        result = evaluations.aggregate(format=Avg('format'),
                                     copyright=Avg('copyright'),
                                     theme=Avg('theme'),
                                     pedagogical=Avg('pedagogical'),
                                     rythm=Avg('rythm'),
                                     originality=Avg('originality')
                                     )
        try:
            result['total'] = sum(result.values()) + 1
        except TypeError:
            result['total'] = ''
        return result

    # new version
    def get_score_criterias(self):
        from django.db.models import Avg
        return self.evaluations.exclude(criterias__isnull=True)\
            .values('criterias__criteria__value').annotate(value=Avg('criterias__value'))


    @staticmethod
    def process_youtube_default_link(link):
        if 'youtu.be/' in link:
            video_id = link.split('youtu.be/',1)[1]
            return 'https://www.youtube.com/embed/' + str(video_id), True
        url_data = urlparse(link)
        query = parse_qs(url_data.query)
        try:
            video_id = query['v'][0]
            return 'https://www.youtube.com/embed/' + str(video_id), True
        except:
            return None, False

    def save(self, *args, **kwargs):
        if self.video:
            link, success = self.process_youtube_default_link(self.video)
            if success:
                self.video = link
        if self.homework is None and self.group is not None:
            self.homework = self.group.homework

        super(VideoClase, self).save(*args, **kwargs)

    def __str__(self):
        return 'Curso: ' + self.homework.course.name + '. Tarea: ' + \
        self.homework.title + '. Grupo de Estudiantes: ' + str(self.group.number if self.group else "")

project/templates/cambiar-contrasena-student.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block body %}
    {% if form.errors %}
        <div class="row">
            <div class="alert alert-info alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                {% for field, errors in form.errors.items %}
                    {% for error in errors %}
                        <div align="center">{{ error }}</div>
                    {% endfor %}
                {% endfor %}
            </div>
        </div>
    {% endif %}
    <form method="post">
        {% csrf_token %}
        {{ form.as_p }}
        <input type="submit" class="btn btn-success" value="Cambiar"/>
    </form>
{% endblock %}

project/templates/cambiar-contrasena.html
{% extends 'base.html' %}
{% load staticfiles %}
{% load videoclases_tags %}

{% block body %}
    {% if form.errors %}
        <div class="row">
            <div class="alert alert-info alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                {% for field, errors in form.errors.items %}
                    {% for error in errors %}
                        <div align="center">{{ error }}</div>
                    {% endfor %}
                {% endfor %}
            </div>
        </div>
    {% endif %}
    <form method="post">
        {% csrf_token %}
        {% ifusergroup Alumnos %}
            <tr>
                <th><label for="{{ form.email.id_for_label }}">{{ form.email.label }}:</label></th>
                <td><input id="{{ form.email.id_for_label }}" name="{{ form.email.name }}" type="email"
                           value="{{ form.email.value|default_if_none:""}}"/></td>
            </tr>
        {% endifusergroup %}
        <tr>
            <th><label for="{{ form.old_password.id_for_label }}">{{ form.old_password.label }}:</label></th>
            <td><input id="{{ form.old_password.id_for_label }}" name="{{ form.old_password.name }}" type="password"/>
            </td>
        </tr>
        <tr>
            <th><label for="{{ form.new_password1.id_for_label }}">{{ form.new_password1.label }}:</label></th>
            <td><input id="{{ form.new_password1.id_for_label }}" name="{{ form.new_password1.name }}" type="password"/>
            </td>
        </tr>
        <tr>
            <th><label for="{{ form.new_password2.id_for_label }}">{{ form.new_password2.label }}:</label></th>
            <td><input id="{{ form.new_password2.id_for_label }}" name="{{ form.new_password2.name }}" type="password"/>
            </td>
        </tr>
        <input type="submit" class="btn btn-success" value="Cambiar"/>
    </form>
{% endblock %}

project/templates/editar-course.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block teacher-active %}class="menu-top-active"{% endblock %}

{% block extra-head %}
    <script type="text/javascript">
        function deleteAlumno(studentId) {
            if (confirm("¿Seguro que deseas eliminar este estudiante del curso?")) {
                var aId = "deleteAlumno" + studentId;
                document.getElementById(aId).click();
            }
        }
        function deleteCurso() {
            if (confirm("¿Seguro que deseas borrar este curso?")) {
                $("#formBorrarCursoSubmit").click();
            }
        }
    </script>
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-xs-2"><h4>Profesor</h4></div>
        <div class="col-xs-2"><h5>{{ user.get_full_name }}</h5></div>
        <div class="col-xs-2 col-xs-offset-6">
            <button onclick="deleteCurso()" class="btn btn-danger">Borrar curso</button>
            <form method="post" action="{% url 'borrar_course' course.id %}">
                {% csrf_token %}
                <input type="number" name="course" value="{{ course.id }}" style="display:none;"/>
                <input type="submit" id="formBorrarCursoSubmit" style="display:none;"/>
            </form>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-2"><h4>Colegio</h4></div>
        <div class="col-xs-2"><h5>{{ user.teacher.school.name }}</h5></div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <h6 class="page-head-line"></h6>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            {% if course.students.all %}
                <table id="example" class="table table-responsive  table-bordered" cellspacing="0" width="100%">
                    <thead>
                    <tr>
                        <th>Apellido</th>
                        <th>Nombre</th>
                        <th>Nombre de usuario</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for a in course.students.all %}
                        <tr>
                            <td>{{ a.user.last_name }}</td>
                            <td>{{ a.user.first_name }}</td>
                            <td>{{ a.user.username }}</td>
                            <td>
                                <a href="{% url 'editar_student' course.id a.id %}">
                                    <button class="btn btn-info">Editar estudiante</button>
                                </a>
                                <button class="btn btn-danger" onclick="deleteAlumno({{ a.id }});">Borrar Alumno
                                </button>
                                <a id="deleteAlumno{{ a.id }}" href="{% url 'borrar_student' course.id a.id %}"></a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <label>Este curso no tiene estudiantes asignados</label>
            {% endif %}
        </div>
    </div>
{% endblock %}

{% block extra-script %}
    {% include 'aux/table-translation-es.html' %}
{% endblock %}

project/templates/editar-student.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block teacher-active %}class="menu-top-active"{% endblock %}

{% block extra-head %}
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-xs-2"><h4>Profesor</h4></div>
        <div class="col-xs-2"><h5>{{ user.get_full_name }}</h5></div>
    </div>
    <div class="row">
        <div class="col-xs-2"><h4>Colegio</h4></div>
        <div class="col-xs-2"><h5>{{ user.teacher.school.name }}</h5></div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <h6 class="page-head-line"></h6>
        </div>
    </div>

    <form method="post">
        {% csrf_token %}
        {{ form.as_table }}
        <input type="submit" class="btn btn-success" value="Enviar"/>
    </form>
{% endblock %}

{% block extra-script %}
    {% include 'aux/teacher-table.html' %}
{% endblock %}

project/templates/enviar-videoclase.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block videoclases-active %}class="menu-top-active"{% endblock %}

{% block extra-head %}
    {{ form.media }}
    <link href="{% static "css/src/my-style.css" %}" rel="stylesheet">
    <script src="{% static "js/libs/jquery.validate.min.js" %}"></script>
    <script src="{% static "js/src/enviarVideoclase.js" %}"></script>
    <script src="{% static "js/src/enviarVideoclaseDocumentReady.js" %}"></script>
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-xs-2 col-xs-offset-10">
            <button onclick="location.href = '{% url 'student' %}';" class="btn btn-info">Volver</button>
        </div>
    </div>
    <div class="row">
        <div id="top-form-head-line" class="col-xs-12">
            <h6 class="page-head-line">{{ user.student.course_actual.school.name }}
                - {{ user.student.course_actual.name }} - {{ user.get_full_name }}</h6>
        </div>
    </div>
    <div class="row" data-bind="visible: formErrorsVisible">
        <div class="alert alert-danger alert-dismissible" role="alert">
            <button type="button" class="close" data-bind="click: function() {changeFormErrorsVisible(false)}"
                    aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <div align="center">
                <!-- ko foreach: formErrors -->
                <span data-bind="text: $data"></span><br/>
                <!-- /ko -->
            </div>
        </div>
    </div>
    <div class="row">
        <div align="center" class="col-xs-6">
            Explicación del teacher
            {% if videoclase.group.homework.video %}
                <iframe width="100%" height="315" src="{{ videoclase.group.homework.video }}" frameborder="0"
                        allowfullscreen></iframe>
            {% else %}
                <div align="center"><span>Esta tarea no tiene video explicativo</span></div>
            {% endif %}
        </div>
        <div class="col-xs-6">
            <div class="panel panel-default">
                <div class="panel-heading" style="line-height:1.3;">
                    <h4>{{ videoclase.group.homework.title }} -
                        {% if videoclase.group.homework.get_estado == 1 %}
                            {% if videoclase.upload_students %}
                                Editando
                            {% else %}
                                Tarea pendiente
                            {% endif %}
                        {% elif videoclase.group.homework.get_estado == 2 %}
                            {{ videoclase.group.homework.get_estado_nombre }}
                        {% else %}
                            {{ videoclase.group.homework.get_estado_nombre }}
                        {% endif %}</h4>
                    Profesor(a) {{ videoclase.group.homework.teacher.user.get_full_name }} - Fecha límite para subir
                    VideoClase: {{ videoclase.group.homework.date_upload|date:'d-m-Y' }}
                </div>
                <form id="enviar-videoclase-form" method="post">
                    {% csrf_token %}
                    <div class="panel-body">
                        <div class="row  margin-top">
                            <div class="col-xs-4">Link de VideoClase</div>
                            <div class="col-xs-8">
                                <input name="{{ form.video.name }}" id="videoLink" type="text" class="form-control"
                                       maxlength="100" placeholder="Copiar link de video en Youtube"
                                       value="{{ form.initial.video }}"/>
                            </div>
                        </div>
                        <div class="row  margin-top">
                            <div class="col-xs-4">Pregunta</div>
                            <div class="col-xs-8">
                                <input name="{{ form.question.name }}" class="form-control" maxlength="100" type="text"
                                       value="{{ form.initial.question }}"/>
                            </div>
                        </div>
                        <div class="row  margin-top">
                            <div class="col-xs-4">Alternativa correcta</div>
                            <div class="col-xs-8">
                                <input name="{{ form.correct_alternative.name }}" class="form-control" maxlength="100"
                                       type="text" value="{{ form.initial.correct_alternative }}"/>
                            </div>
                        </div>
                        <div class="row margin-top">
                            <div class="col-xs-4">Alternativa 2</div>
                            <div class="col-xs-8">
                                <input name="{{ form.alternative_2.name }}" class="form-control" maxlength="100"
                                       type="text" value="{{ form.initial.alternative_2 }}"/>
                            </div>
                        </div>
                        <div class="row margin-top">
                            <div class="col-xs-4">Alternativa 3</div>
                            <div class="col-xs-8">
                                <input name="{{ form.alternative_3.name }}" class="form-control" maxlength="100"
                                       type="text" value="{{ form.initial.alternative_3 }}"/>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-success margin-top">Enviar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock %}

project/templates/perfil.html
{% extends 'base.html' %}
{% load staticfiles %}
{% load videoclases_tags %}

{% block perfil-active %}class="menu-top-active"{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-xs-6">Nombre</div>
        <div class="col-xs-6">{{ user.get_full_name }}</div>
    </div>
    <div class="row">
        <a href="{% url 'change_password' %}">Cambiar contraseña</a>
        {% ifusergroup Profesores %}
            <br/>
            <a href="{% url 'change_student_password_select_course' %}">Cambiar contraseña de un estudiante</a>
        {% endifusergroup %}
    </div>
{% endblock %}

project/templates/teacher.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block teacher-active %}class="menu-top-active"{% endblock %}

{% block extra-head %}
<script type="text/javascript">
    function deleteTarea(homeworkId) {
        if (confirm("¿Seguro que deseas borrar esta tarea?")) {

        }
    }
</script>
{% endblock %}

{% block body %}
            <div class="row">
                <div class="col-xs-6">
                    <div class="col-xs-12">
                        <div class="col-xs-6"><h4>Profesor</h4></div>
                        <div class="col-xs-6"><h5>{{ user.get_full_name }}</h5></div>
                    </div>
                    <div class="col-xs-12">
                        <div class="col-xs-6"><h4>Colegio</h4></div>
                        <div class="col-xs-6"><h5>{{ user.teacher.school.name }}</h5></div>
                    </div>
                </div>
                <div class="col-xs-6">
                    <div class="col-xs-4">
                        <button onclick="location.href = '{% url 'crear_course' %}';" class="btn btn-info">Crear curso
                        </button>
                    </div>
                    <div class="col-xs-4 ">
                        <button onclick="location.href = '{% url 'crear_homework' %}';" class="btn btn-info">Crear
                            tarea
                        </button>
                    </div>
                    <div class="col-xs-4 ">
                        <button onclick="location.href = '{% url 'new_conceptual_test' %}';" class="btn btn-info">Crear
                            Test Conceptual
                        </button>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <h6 class="page-head-line"></h6>
                </div>
            </div>
            <div>
                <table id="example"  class="table table-responsive table-bordered" cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th>Curso</th>
                            <th>Profesor</th>
                            <th>Tareas</th>
                            <th>Estado de<br> tarea</th>
                            <th>Test Conceptual </th>
                            <th>VideoClases<br> subidas</th>
                            <th>Fecha de<br> entrega</th>
                            <th>Fecha de<br> evaluación</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for t in homeworks %}
                            <tr>
                                <td class="table-clickable" onclick="location.href = '{% url 'course' t.course.id %}';"><a>{{ t.course.name }}</a></td>
                                <td>{{ t.teacher.user.get_full_name }}</td>
                                <td class="table-clickable" onclick="location.href = '{% url 'videoclases_homework' t.id %}';"><a>{{ t.title }}</a></td>
                                <td>{{ t.get_estado_nombre }}</td>
                                {% if t.pedagogicalquestions %}
                                <td  class="table-clickable" onclick="location.href = '{% url 'pedagogical_questions' t.pedagogicalquestions.id %}';">
                                    <a>{{ t.pedagogicalquestions|truncatechars:15|default:'No posee test aún'}}</a></td>
                                    {% else %}<td>No posee test aún</td>
                                {% endif %}
                                <td>{{ t.get_uploaded_videoclases }} / {{ t.groups.count }}</td>
                                <td>{{ t.date_upload|date:'d-m-Y' }}</td>
                                <td>{{ t.date_evaluation|date:'d-m-Y' }}</td>
                                <td><form action="{% url 'borrar_homework' %}" method="post">
                                        {% csrf_token %}
                                        <input name="homework" style="display: none" value="{{t.id}}" />

                                        <input type="submit" value="Borrar" class="btn btn-danger" onclick="deleteTarea({{t.id}})" />
                                    </form>
                                </td>
                            </tr>
                        {% endfor %}
                        {% for c in courses_sin_homework %}
                            <tr>
                                <td class="table-clickable" onclick="location.href = '{% url 'course' c.id %}';"><a>{{ c.name }}</a></td>
                                <td>{{ c.student_set.count }}</td>
                                <td>Sin tareas</td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
{% endblock %}

{% block extra-script %}
{% include 'aux/teacher-table.html' %}
{% endblock %}